Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454469 - Review Request: php-pear-Var-Dump - rovides methods for dumping structured information about a variable
Summary: Review Request: php-pear-Var-Dump - rovides methods for dumping structured in...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 457590
TreeView+ depends on / blocked
 
Reported: 2008-07-08 17:30 UTC by Remi Collet
Modified: 2008-09-16 23:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-16 23:20:55 UTC
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2008-07-08 17:30:56 UTC
Spec URL: http://remi.fedorapeople.org/php-pear-Var-Dump.spec
SRPM URL: http://remi.fedorapeople.org/php-pear-Var-Dump-1.0.3-1.fc8.src.rpm
Mock Log: http://remi.fedorapeople.org/php-pear-Var-Dump-build.log

Description: 
The Var_Dump class is a wrapper for the var_dump function.

The var_dump function displays structured information about expressions
that includes its type and value. Arrays are explored recursively with
values indented to show structure.

--
rpmlint is silent

This extension is required by new PHP_CompatInfo (1.8.0)

Comment 1 Jason Tibbitts 2008-08-20 23:09:46 UTC
* source files match upstream:
   d73b985d46a118a65d11dc1e93d6e0e7f0919237f090920478d2ab3250d17826  
   Var_Dump-1.0.3.tgz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
X missing php-pear(PEAR) dependency:
   php-pear(Var_Dump) = 1.0.3
   php-pear-Var-Dump = 1.0.3-1.fc10
  =
   /bin/sh
   /usr/bin/pear

* %check is not present; pear module tests can't be run at build time.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear module registration).
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

Comment 2 Remi Collet 2008-08-21 05:57:53 UTC
Spec URL: http://remi.fedorapeople.org/php-pear-Var-Dump.spec
SRPM URL: http://remi.fedorapeople.org/php-pear-Var-Dump-1.0.3-2.fc8.src.rpm

- Add missing Requires: php-pear(PEAR)

Comment 3 Jason Tibbitts 2008-08-21 12:01:02 UTC
Thanks.

APPROVED

Comment 4 Remi Collet 2008-08-22 08:14:29 UTC
Thank's for the review

New Package CVS Request
=======================
Package Name: php-pear-Var-Dump
Short Description: Methods for dumping structured information about a variable
Owners: remi
Branches: F-9 F-8 EL-5
InitialCC: 
Cvsextras Commits: yes

Comment 5 Kevin Fenzi 2008-08-23 17:56:06 UTC
cvs done.

Comment 6 Fedora Update System 2008-08-28 19:37:26 UTC
php-pear-Var-Dump-1.0.3-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/php-pear-Var-Dump-1.0.3-2.fc9

Comment 7 Fedora Update System 2008-08-28 19:37:57 UTC
php-pear-Var-Dump-1.0.3-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/php-pear-Var-Dump-1.0.3-2.fc8

Comment 8 Fedora Update System 2008-09-05 12:21:16 UTC
php-pear-Var-Dump-1.0.3-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-Var-Dump'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7275

Comment 9 Fedora Update System 2008-09-10 06:46:46 UTC
php-pear-Var-Dump-1.0.3-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-Var-Dump'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7275

Comment 10 Fedora Update System 2008-09-10 07:04:35 UTC
php-pear-Var-Dump-1.0.3-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-Var-Dump'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7486

Comment 11 Fedora Update System 2008-09-16 23:20:52 UTC
php-pear-Var-Dump-1.0.3-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2008-09-16 23:22:08 UTC
php-pear-Var-Dump-1.0.3-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.